Bug 127019 - ccsd uses the same protocol family as bluetooth
ccsd uses the same protocol family as bluetooth
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Teigland
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-30 14:21 EDT by Derek Anderson
Modified: 2010-01-11 21:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-31 12:02:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Anderson 2004-06-30 14:21:51 EDT
Description of problem:

If ccsd is started before the cman module is loaded you get these
messages in the logfile:
Jun 30 18:57:58 link-10 kernel: Bluetooth: Core ver 2.5
Jun 30 18:57:58 link-10 kernel: NET: Registered protocol family 31
Jun 30 18:57:58 link-10 kernel: Bluetooth: HCI device and connection
manager initialized
Jun 30 18:57:58 link-10 kernel: Bluetooth: HCI socket layer initialized
Jun 30 18:57:58 link-10 kernel: Bluetooth: L2CAP ver 2.2
Jun 30 18:57:58 link-10 kernel: Bluetooth: L2CAP socket layer initialized
Jun 30 18:57:58 link-10 kernel: Bluetooth: RFCOMM ver 1.3
Jun 30 18:57:58 link-10 kernel: Bluetooth: RFCOMM socket layer initialized
Jun 30 18:57:58 link-10 kernel: Bluetooth: RFCOMM TTY layer initialized

Both bluetooth and ccsd want to NET: register protocol family 31. 
Shouldn't we have something unique?

If you then modprobe the lock_dlm (which pulls in the cman and dlm
modules) it fails with unresolved symbols.  ccsd is defined in the
cluster architecture as not being dependent on anything, so it seems
reasonable to start this before loading modules.

[root@link-10 /]# modprobe lock_dlm
WARNING: Error inserting cman
(/lib/modules/2.6.7/kernel/cluster/cman.ko): Operation not permitted
WARNING: Error inserting dlm
(/lib/modules/2.6.7/kernel/cluster/dlm.ko): Unknown symbol in module,
or unknown parameter (see dmesg)
FATAL: Error inserting lock_dlm
(/lib/modules/2.6.7/kernel/fs/gfs_locking/lock_dlm/lock_dlm.ko):
Unknown symbol in module, or unknown parameter (see dmesg)

Version-Release number of selected component (if applicable):
[root@link-10 /]# ccsd -V
ccsd DEVEL.1088629082 (built Jun 30 2004 15:59:04)
Copyright (C) Red Hat, Inc.  2004  All rights reserved.

How reproducible:
Yes.

Steps to Reproduce:
1. Boot
2. 'ccsd'
3. 'modprobe lock_dlm'
  
Actual results:
Modules do not load

Expected results:
Modules do load

Additional info:
Comment 1 Jonathan Earl Brassow 2004-06-30 15:26:30 EDT
I don't beleive that the socket family chosen for cman should conflict with 
something else.
Comment 2 Jonathan Earl Brassow 2004-07-23 11:52:43 EDT
adding patrick to cc list
Comment 3 Christine Caulfield 2004-08-18 12:06:25 EDT
Changed to 30 as this is unused in the stock 2.6 kernel. It's also the
number TIPC uses and you're unlikely ever to need both at the same
time so this seemed like a good compromise.

Checking in cnxman-socket.h;
/cvs/cluster/cluster/cman-kernel/src/cnxman-socket.h,v  <-- 
cnxman-socket.h
new revision: 1.3; previous revision: 1.2
done
Comment 4 Derek Anderson 2004-08-19 11:02:57 EDT
With that change clvmd now cannot connect to cman.  The AF_CLUSTER in
lvm needs to match (or refer to same header file for this?).

lvm2/daemons/clvmd
cnxman-socket.h:#define AF_CLUSTER 31
Comment 5 Christine Caulfield 2004-08-20 02:46:39 EDT
Err....You must have checked out in a very small window of opportunity...

cluster/cman-kernel/src/cnxman-socket.h:
date: 2004/08/18 16:03:43;  author: pcaulfield;  state: Exp;  lines: +4 -2
Change AF_ number to 30 so it doesn't conflict with bluetooth.


LVM2/daemons/clvmd/cnxman-socket.h:
date: 2004/08/18 16:04:35;  author: pcaulfield;  state: Exp;  lines:
+19 -20
Updated file from cman.
Comment 6 Corey Marthaler 2004-08-31 12:02:27 EDT
fix verified.
Comment 7 Kiersten (Kerri) Anderson 2004-11-16 14:05:08 EST
Updating version to the right level in the defects.  Sorry for the storm.

Note You need to log in before you can comment on or make changes to this bug.